package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="计量批次表")
public class TmstruckWeightBatch implements IBasePO<BigDecimal> {
    /**
     * 计量批次ID(WEIGHT_BATCH_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="计量批次ID",required=true)
    private BigDecimal weightBatchId;

    /**
     * 净重(BATCH_NET_WEIGHT,DECIMAL,38)
     */
    @ApiModelProperty(value="净重",required=false)
    private BigDecimal batchNetWeight;

    /**
     * 毛重(BATCH_GROSS_WEIGHT,DECIMAL,38)
     */
    @ApiModelProperty(value="毛重",required=false)
    private BigDecimal batchGrossWeight;

    /**
     * 皮重(BATCH_TARE_WEIGHT,DECIMAL,38)
     */
    @ApiModelProperty(value="皮重",required=false)
    private BigDecimal batchTareWeight;

    /**
     * 皮重时间(BATCH_TARE_WEIGHT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="皮重时间",required=false)
    private Date batchTareWeightTime;

    /**
     * 备注(BATCH_REMARK,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String batchRemark;

    /**
     * 毛重时间(BATCH_GROSS_WEIGHT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="毛重时间",required=false)
    private Date batchGrossWeightTime;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.weightBatchId;
    }

    @Override
    public void setId(BigDecimal weightBatchId) {
        this.weightBatchId = weightBatchId;
    }

    public BigDecimal getWeightBatchId() {
        return weightBatchId;
    }

    public void setWeightBatchId(BigDecimal weightBatchId) {
        this.weightBatchId = weightBatchId;
    }

    public BigDecimal getBatchNetWeight() {
        return batchNetWeight;
    }

    public void setBatchNetWeight(BigDecimal batchNetWeight) {
        this.batchNetWeight = batchNetWeight;
    }

    public BigDecimal getBatchGrossWeight() {
        return batchGrossWeight;
    }

    public void setBatchGrossWeight(BigDecimal batchGrossWeight) {
        this.batchGrossWeight = batchGrossWeight;
    }

    public BigDecimal getBatchTareWeight() {
        return batchTareWeight;
    }

    public void setBatchTareWeight(BigDecimal batchTareWeight) {
        this.batchTareWeight = batchTareWeight;
    }

    public Date getBatchTareWeightTime() {
        return batchTareWeightTime;
    }

    public void setBatchTareWeightTime(Date batchTareWeightTime) {
        this.batchTareWeightTime = batchTareWeightTime;
    }

    public String getBatchRemark() {
        return batchRemark;
    }

    public void setBatchRemark(String batchRemark) {
        this.batchRemark = batchRemark == null ? null : batchRemark.trim();
    }

    public Date getBatchGrossWeightTime() {
        return batchGrossWeightTime;
    }

    public void setBatchGrossWeightTime(Date batchGrossWeightTime) {
        this.batchGrossWeightTime = batchGrossWeightTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", weightBatchId=").append(weightBatchId);
        sb.append(", batchNetWeight=").append(batchNetWeight);
        sb.append(", batchGrossWeight=").append(batchGrossWeight);
        sb.append(", batchTareWeight=").append(batchTareWeight);
        sb.append(", batchTareWeightTime=").append(batchTareWeightTime);
        sb.append(", batchRemark=").append(batchRemark);
        sb.append(", batchGrossWeightTime=").append(batchGrossWeightTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}